| Home | Libraries | People | FAQ | More

## Struct template get_options

boost::histogram::axis::traits::get_options — Get axis options for axis type.

## Synopsis

    // In header: <boost/histogram/axis/traits.hpp>

    template<typename Axis>
    struct get_options {
    };

## Description

Doxygen does not render this well. This is a meta-function (template alias), it accepts an axis type and returns the boost::histogram::axis::option::bitset.

If Axis::options() is valid and constexpr, get_options is the corresponding option type. Otherwise, it is boost::histogram::axis::option::growth_t, if the axis has a method`update`, else boost::histogram::axis::option::none_t.

### Template Parameters

1.     typename Axis

   axis type